Association (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.Association interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface Association

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface Association

extends CmdbMeta

Naming Rules:
  0="parent,sourceClass,targetClass"
Persistable:
  true
Table Name:
  ASSOCMETA

Method Summary
`RelationshipType` | `getParent()`
`boolean` | `getReadOnly()`
`java.lang.String` | `getSourceClass()`
`java.lang.String` | `getTargetClass()`
`boolean` | `hasParent()`
`boolean` | `hasReadOnly()`
`boolean` | `hasSourceClass()`
`boolean` | `hasTargetClass()`
`void` | `setParent(RelationshipType parent)`
`void` | `setReadOnly(boolean s)`
`void` | `setSourceClass(java.lang.String s)`
`void` | `setTargetClass(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    RelationshipType getParent()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(RelationshipType parent)

### hasParent

    boolean hasParent()

### getReadOnly

    boolean getReadOnly()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReadOnly

    void setReadOnly(boolean s)

### hasReadOnly

    boolean hasReadOnly()

### getSourceClass

    java.lang.String getSourceClass()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSourceClass

    void setSourceClass(java.lang.String s)

### hasSourceClass

    boolean hasSourceClass()

### getTargetClass

    java.lang.String getTargetClass()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetClass

    void setTargetClass(java.lang.String s)

### hasTargetClass

    boolean hasTargetClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD